Bug 738162 - Review request: rubygem-oauth-active-resource - An OAuth enabled ActiveResource wrapper
Summary: Review request: rubygem-oauth-active-resource - An OAuth enabled ActiveResour...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 713508
Blocks: 705517
TreeView+ depends on / blocked
 
Reported: 2011-09-14 08:05 UTC by Bohuslav "Slavek" Kabrda
Modified: 2012-03-28 10:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 10:11:49 UTC
vondruch: fedora-review?


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2011-09-14 08:05:43 UTC
SPEC: http://bkabrda.fedorapeople.org/oauth-active-resource/rubygem-oauth-active-resource.spec
SRPM: http://bkabrda.fedorapeople.org/oauth-active-resource/rubygem-oauth-active-resource-0.4.7-1.fc15.src.rpm

Description:
An OAuth enabled ActiveResource wrapper.

Note:
To build you currently need rubygem-oauth from https://bugzilla.redhat.com/show_bug.cgi?id=713508.

Comment 1 Vít Ondruch 2011-09-21 06:14:19 UTC
Taking this for a review.

Comment 2 Bohuslav "Slavek" Kabrda 2011-10-14 06:02:44 UTC
Fixed few minorities (see changelog).
SPEC: http://bkabrda.fedorapeople.org/oauth-active-resource/rubygem-oauth-active-resource.spec
SRPM: bkabrda.fedorapeople.org/oauth-active-resource/rubygem-oauth-active-resource-0.4.7-2.fc15.src.rpm

Comment 3 Vít Ondruch 2011-10-17 11:14:40 UTC
* Please remove "testdir" macro
  - It seems it is not used anywhere

* Fix you name in ChangeLog
  - Please use your full name in ChangeLog

* Exclude the %{geminstdir}/doc from the package
  - It seems that this folder contains just the RDoc generated documentation.
    In this case, please exclude this folder, since we don't need to duplicate
    the documentation from generic RDoc location.

* The package doesn't work:

> require 'oauth_active_resource'
Gem::LoadError: Could not find activeresource (< 3.0.0) amongst [activemodel-3.0.10, activeresource-3.0.10, activesupport-3.0.10, builder-2.1.2, i18n-0.5.0, multipart-0.2.1, multipart-post-1.1.2, oauth-0.4.4, oauth-active-resource-0.4.7]
	from /usr/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:247:in `to_specs'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:761:in `activate_dependencies'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in `each'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in `activate_dependencies'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:742:in `activate'
	from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:209:in `try_activate'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:58:in `require'
	from (irb):4
	from /usr/lib/ruby/1.8/i386-linux/rbconfig.rb:159

  - since the package .gemspec file defines dependency on activeresource 
    (< 3.0.0), but Fedora provides just version 3.0.10, the gemspec file should
    be patched accordingly (you can take a look at [1] how to achieve that).
  - However note that it is not clear if the gem can cooperate with
    activeresource 3.0.10 at all.


[1] http://pkgs.fedoraproject.org/gitweb/?p=rubygem-actionpack.git;a=tree

Comment 4 Bohuslav "Slavek" Kabrda 2011-10-19 11:21:49 UTC
> * The package doesn't work:
> 
> > require 'oauth_active_resource'
> Gem::LoadError: Could not find activeresource (< 3.0.0) amongst
> [activemodel-3.0.10, activeresource-3.0.10, activesupport-3.0.10,
> builder-2.1.2, i18n-0.5.0, multipart-0.2.1, multipart-post-1.1.2, oauth-0.4.4,
> oauth-active-resource-0.4.7]
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:247:in `to_specs'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:761:in
> `activate_dependencies'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in `each'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:758:in
> `activate_dependencies'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb:742:in `activate'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems.rb:209:in `try_activate'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:58:in `require'
>  from (irb):4
>  from /usr/lib/ruby/1.8/i386-linux/rbconfig.rb:159
> 
>   - since the package .gemspec file defines dependency on activeresource 
>     (< 3.0.0), but Fedora provides just version 3.0.10, the gemspec file should
>     be patched accordingly (you can take a look at [1] how to achieve that).
>   - However note that it is not clear if the gem can cooperate with
>     activeresource 3.0.10 at all.
> 
> 
> [1] http://pkgs.fedoraproject.org/gitweb/?p=rubygem-actionpack.git;a=tree

I'm currently trying to make it work, but at least one part of the functionality won't work because of changed signature of a method (see my comment on github [1]). It doesn't seem, that upstream is still maintaining, but I suggest waiting for a few days before we take another steps.

[1] https://github.com/jwagener/oauth-active-resource/pull/1#issuecomment-2454505

Comment 5 Bohuslav "Slavek" Kabrda 2012-03-28 10:11:49 UTC
Closing this one as wontfix, because the package is unmaintained and doesn't work with Rails >= 3.


Note You need to log in before you can comment on or make changes to this bug.